package ams.com.ams.jdbcdebug.test;

import java.util.regex.Pattern;


/**
 * <p>タイトル: JDBCDebugTest008_regexp</p>
 * <p>説明: RegExpテスト</p>
 * <p>Created on 2003/10/01</p>
 * @author 門田明彦
 * @version $Revision: 1.1 $
 */
public class JDBCDebugTest008_DateStmt {

    public static void main(String[] args) {
        
        // 1. SELECT 文
        String reg = "[^S]*SELECT.*";
        checkReg("SELECT * FROM XFT001", reg);
        checkReg(" SELECT * FROM XFT001", reg);
        checkReg("select * FROM XFT001", reg);
        checkReg(" select * FROM XFT001", reg);

        // 2. SELECT 文
        reg = "[^S]*SELECT.*_DT=null";
        checkReg("SELECT * FROM XFT001 WHERE UMA_DT=null", reg);
        checkReg("SELECT * FROM XFT001 WHERE UMA_DT=NULL", reg);
        
        // 3. UPDATE 文
        reg = "[^ ]* UPDATE.*_DT=null.*";
        checkReg("executeUpdate UPDATE XFT001 VALUE UMA_DT=NULL", reg);
        checkReg("executeUpdate UPDATE XFT002 SET UTNSL_CD='',CNDTN_GROUP_CD='000070',MNGRL_APRVL_NO='56565656',ESTMT_RECVE_DT=null,PAYEE_CD=", reg);
        
    }

    /**
     * @param string
     * @param string2
     * @author  amonden
     */
    private static void checkReg(String sql, String regexp) {

        Pattern ptn = Pattern.compile(regexp, Pattern.CASE_INSENSITIVE);
        
        String result = ptn.matcher(sql).matches() ? "match   " : "unmatch ";
        System.out.println(result + " " + sql + " < " + regexp);

    }
}
